# Das Plätzchenkochbuch

Mit diesem Projekt kann man automatisch aus der Plätzchendatei ein PDF-Kochbuch generieren. Das Kochbuch hat ein Titelblatt, Inhaltsverzeichnis, Vorwort und ein Verzeichnis der Zutaten und Plätzchenarten.

Rezepte stehen in Spalten, in Zeilen stehen die Zutaten.
Das Excel-File wird mit openpyxl geparsed. Zuerst wird die Index-Spalte geparsed um die verschiedenen Reihen zu identifizieren. Anschließend werden die Rezepte spaltenweise durchlaufen und nacheinander in die 'rezepte.tex' Datei geschrieben.

Nachdem das Excel-File geparsed wurde wird 'main.tex' mit pdflatex compiled. Diese Datei included die rezepte.tex und es entsteht das fertige Kochbuch.

![](preview.jpg)


## Datenformat
Um das Excel-File parsen zu können muss es immer das gleiche Format haben.
Es gibt unter anderem die folgenden Einschränkungen und Regeln:

1. Die Rezpte befinden sich im Worksheet 'Rezepte'.
2. Zutaten
    - Die Zutaten stehen in ersten Spalte, in der 'Zutaten' auftaucht
    - Die Liste der Zutaten beginnt mit 'Ingredient' und schließt mit 'Sonstige Zutaten' ab.

3. Der Name steht in der Zeile mit 'Zutaten'
4. Die Art steht in der Zeile mit 'Art'
5. Die Hauptzutaten stehen in der Zeile mit 'Ingredient'. Mehrere Hauptzutaten werden mit Komma getrennt.

## Weitere Hinweise:
* Es ist sinnvoll, die Textbeschreibung ausführlich zu machen. Zeilenumbrüche könntne mit <Alt>+<Enter> gemacht werden.
* Es sind keine Rezepte ohne Zutaten möglich


